Skip to main content
GET
List

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-08-17.everglades"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the device results.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc,
status:asc,
status:desc
Example:
expand
enum<string>[]

Fields to expand on each device in the list.

Available options:
total_count,
current_deployment,
current_release,
group
Example:
id
string[]

The device IDs to filter by.

Example:
name
string[]

The device names to filter by.

Example:
agent_version
string[]

The agent versions to filter by.

Example:
current_release_id
string[]

The release IDs to filter devices by their current release.

Example:
group_id
string[]

The group IDs to filter devices by.

Example:
status
enum<string>[]

The device statuses to filter by.

The status of the device.

  • Inactive: The miru agent has not yet been installed / authenticated
  • Activating: The miru agent is currently being installed / authenticated (should only last for a few seconds)
  • Online: The miru agent has successfully pinged the server within the last 60 seconds.
  • Offline: The miru agent has not successfully pinged the server within the last 60 seconds (e.g. network issues, device is powered off, etc.)
  • Archived: The device has been archived. The agent's session has been revoked and the device no longer participates in workspace operations. See archived_at for when this occurred.
Available options:
inactive,
activating,
online,
offline,
archived
Example:

Response

200 - application/json

Successfully listed the devices.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Base Device · object[]
required

The list of devices.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on August 17, 2026